package com.zkqy.system.entity;

import com.zkqy.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zkqy.common.annotation.Excel;

import java.util.List;

/**
 * 动态单组对象 drag_form_group
 * 
 * @author hzh
 * @date 2024-01-26
 */
public class DragFormGroup extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 表单组Key */
    @Excel(name = "表单组Key")
    private String groupKey;

    /** 动态组名称 */
    @Excel(name = "动态组名称")
    private String fGName;

    /** 当前表单组中所绑定的表单 */
    @Excel(name = "当前表单组中所绑定的表单")
    private String formKeys;

    /** 表单组主表名称（tableName:formKey） */
    @Excel(name = "表单组主表名称", readConverterExp = "t=ableName:formKey")
    private String mainTable;

    /** 各个表单之间的关系 */
    @Excel(name = "各个表单之间的关系")
    private String relationJson;

    /** 回显数据sql */
    @Excel(name = "回显数据sql")
    private String showDataSql;

    /**
     * 动态表单详情
     */
    private List<DragForm> dragFormList;

    /** 逻辑删除 */
    private String delFlag;

    /**
     * 表单组布局样式
     */
    private String layoutJson;

    public String getLayoutJson() {
        return layoutJson;
    }

    public void setLayoutJson(String layoutJson) {
        this.layoutJson = layoutJson;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setGroupKey(String groupKey)
    {
        this.groupKey = groupKey;
    }

    public String getGroupKey()
    {
        return groupKey;
    }
    public void setfGName(String fGName)
    {
        this.fGName = fGName;
    }

    public String getfGName()
    {
        return fGName;
    }
    public void setFormKeys(String formKeys)
    {
        this.formKeys = formKeys;
    }

    public String getFormKeys()
    {
        return formKeys;
    }
    public void setMainTable(String mainTable)
    {
        this.mainTable = mainTable;
    }

    public String getMainTable()
    {
        return mainTable;
    }
    public void setRelationJson(String relationJson)
    {
        this.relationJson = relationJson;
    }

    public String getRelationJson()
    {
        return relationJson;
    }
    public void setShowDataSql(String showDataSql)
    {
        this.showDataSql = showDataSql;
    }

    public String getShowDataSql()
    {
        return showDataSql;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    public List<DragForm> getDragFormList() {
        return dragFormList;
    }

    public void setDragFormList(List<DragForm> dragFormList) {
        this.dragFormList = dragFormList;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("DragFormGroup{");
        sb.append("id=").append(id);
        sb.append(", groupKey='").append(groupKey).append('\'');
        sb.append(", fGName='").append(fGName).append('\'');
        sb.append(", formKeys='").append(formKeys).append('\'');
        sb.append(", mainTable='").append(mainTable).append('\'');
        sb.append(", relationJson='").append(relationJson).append('\'');
        sb.append(", showDataSql='").append(showDataSql).append('\'');
        sb.append(", dragFormList=").append(dragFormList);
        sb.append(", delFlag='").append(delFlag).append('\'');
        sb.append(", layoutJson='").append(layoutJson).append('\'');
        sb.append('}');
        return sb.toString();
    }
}
