package com.zkqy.system.entity;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.zkqy.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zkqy.common.annotation.Excel;

/**
 * 移动端数据对象 mobile_page_data
 * 
 * @author zkqy
 * @date 2024-04-18
 */
public class MobilePageData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 模版json */
    @Excel(name = "模版json")
    private String pageJson;

    @Excel(name = "是否是首页")
    private String isIndex;

    @Excel(name = "表单对应数据库字段")
    private String  fromMapDb;

    @Excel(name = "下拉框对应的数据表")
    private String  selectQualifiedField;

    @Excel(name = "下拉框数据(1、默认数据 2、动态数据)")
    private  String selectMapValueList;

    @Excel(name = "是否存在list数据")
    private String  isExistsList;

    public String getIsExistsList() {
        return isExistsList;
    }

    @JsonProperty(required = false)
    public MobilePageTableList mobilePageTableList;

    public MobilePageTableList getMobilePageTableList() {
        return mobilePageTableList;
    }

    public void setMobilePageTableList(MobilePageTableList mobilePageTableList) {
        this.mobilePageTableList = mobilePageTableList;
    }

    public void setIsExistsList(String isExistsList) {
        this.isExistsList = isExistsList;
    }

    public String getFromMapDb() {
        return fromMapDb;
    }

    public void setFromMapDb(String fromMapDb) {
        this.fromMapDb = fromMapDb;
    }

    public String getSelectQualifiedField() {
        return selectQualifiedField;
    }

    public void setSelectQualifiedField(String selectQualifiedField) {
        this.selectQualifiedField = selectQualifiedField;
    }

    public String getSelectMapValueList() {
        return selectMapValueList;
    }

    public void setSelectMapValueList(String selectMapValueList) {
        this.selectMapValueList = selectMapValueList;
    }

    public String getIsIndex() {
        return isIndex;
    }

    public void setIsIndex(String isIndex) {
        this.isIndex = isIndex;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPageJson() {
        return pageJson;
    }

    public void setPageJson(String pageJson) {
        this.pageJson = pageJson;
    }

    @Override
    public String toString() {
        return "MobilePageData{" +
                "id=" + id +
                ", name='" + name + '\'' +
                ", pageJson='" + pageJson + '\'' +
                ", isIndex='" + isIndex + '\'' +
                '}';
    }
}
