package com.zkqy.system.entity;

import com.zkqy.common.annotation.Excel;
import com.zkqy.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 页面列表对象 mobile_page_table_list
 * 
 * @author zkqy
 * @date 2024-05-21
 */
public class MobilePageTableList extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键自增 */
    private Long id;

    /** 页面id */
    @Excel(name = "页面id")
    private Long pageId;

    /** 中文表名称 */
    @Excel(name = "中文表名称")
    private String tableNameDes;

    /** 0:单表，1:多表 */
    @Excel(name = "0:单表，1:多表")
    private String isSingleTable;

    /** 表名称集合 */
    @Excel(name = "表名称集合")
    private String tableNames;

    /** 列表展示字段信息及属性 */
    @Excel(name = "列表展示字段信息及属性")
    private String tableColumnName;

    /** 展示描述 */
    @Excel(name = "展示描述")
    private String tableColumnDesc;

    /** 表的连接关系 */
    @Excel(name = "表的连接关系")
    private String tableJoin;

    /** 表的查询条件 */
    @Excel(name = "表的查询条件")
    private String tableQueryConditions;

    /** 时间范围查询 */
    @Excel(name = "时间范围查询")
    private String timeRangeFilters;

    /** 数据排序查询 */
    @Excel(name = "数据排序查询")
    private String tablelistSort;

    /** 列表映射数据 */
    @Excel(name = "列表映射数据")
    private String listMapValue;

    /** 拓展字段 */
    @Excel(name = "拓展字段")
    private String extensions;



    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setPageId(Long pageId) 
    {
        this.pageId = pageId;
    }

    public Long getPageId() 
    {
        return pageId;
    }
    public void setTableNameDes(String tableNameDes) 
    {
        this.tableNameDes = tableNameDes;
    }

    public String getTableNameDes() 
    {
        return tableNameDes;
    }
    public void setIsSingleTable(String isSingleTable) 
    {
        this.isSingleTable = isSingleTable;
    }

    public String getIsSingleTable() 
    {
        return isSingleTable;
    }
    public void setTableNames(String tableNames) 
    {
        this.tableNames = tableNames;
    }

    public String getTableNames() 
    {
        return tableNames;
    }
    public void setTableColumnName(String tableColumnName) 
    {
        this.tableColumnName = tableColumnName;
    }

    public String getTableColumnName() 
    {
        return tableColumnName;
    }
    public void setTableColumnDesc(String tableColumnDesc) 
    {
        this.tableColumnDesc = tableColumnDesc;
    }

    public String getTableColumnDesc() 
    {
        return tableColumnDesc;
    }
    public void setTableJoin(String tableJoin) 
    {
        this.tableJoin = tableJoin;
    }

    public String getTableJoin() 
    {
        return tableJoin;
    }
    public void setTableQueryConditions(String tableQueryConditions) 
    {
        this.tableQueryConditions = tableQueryConditions;
    }

    public String getTableQueryConditions() 
    {
        return tableQueryConditions;
    }
    public void setTimeRangeFilters(String timeRangeFilters) 
    {
        this.timeRangeFilters = timeRangeFilters;
    }

    public String getTimeRangeFilters() 
    {
        return timeRangeFilters;
    }
    public void setTablelistSort(String tablelistSort) 
    {
        this.tablelistSort = tablelistSort;
    }

    public String getTablelistSort() 
    {
        return tablelistSort;
    }
    public void setListMapValue(String listMapValue) 
    {
        this.listMapValue = listMapValue;
    }

    public String getListMapValue() 
    {
        return listMapValue;
    }
    public void setExtensions(String extensions) 
    {
        this.extensions = extensions;
    }

    public String getExtensions() 
    {
        return extensions;
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("pageId", getPageId())
            .append("tableNameDes", getTableNameDes())
            .append("isSingleTable", getIsSingleTable())
            .append("tableNames", getTableNames())
            .append("tableColumnName", getTableColumnName())
            .append("tableColumnDesc", getTableColumnDesc())
            .append("tableJoin", getTableJoin())
            .append("tableQueryConditions", getTableQueryConditions())
            .append("timeRangeFilters", getTimeRangeFilters())
            .append("tablelistSort", getTablelistSort())
            .append("listMapValue", getListMapValue())
            .append("extensions", getExtensions())
            .append("createTime", getCreateTime())
            .append("createById", getCreateById())
            .append("createBy", getCreateBy())
            .append("updateBy", getUpdateBy())
            .append("updateById", getUpdateById())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
