package com.zkqy.system.mapper;

import com.zkqy.system.entity.DragTree;

import java.util.List;


/**
 * 拖拽树结构Mapper接口
 * 
 * @author hmc
 * @date 2025-03-05
 */
public interface DragTreeMapper 
{
    /**
     * 查询拖拽树结构
     * 
     * @param id 拖拽树结构主键
     * @return 拖拽树结构
     */
    public DragTree selectDragTreeById(Long id);

    /**
     * 查询拖拽树结构列表
     * 
     * @param dragTree 拖拽树结构
     * @return 拖拽树结构集合
     */
    public List<DragTree> selectDragTreeList(DragTree dragTree);

    /**
     * 新增拖拽树结构
     * 
     * @param dragTree 拖拽树结构
     * @return 结果
     */
    public int insertDragTree(DragTree dragTree);

    /**
     * 修改拖拽树结构
     * 
     * @param dragTree 拖拽树结构
     * @return 结果
     */
    public int updateDragTree(DragTree dragTree);

    /**
     * 删除拖拽树结构
     * 
     * @param id 拖拽树结构主键
     * @return 结果
     */
    public int deleteDragTreeById(Long id);

    /**
     * 批量删除拖拽树结构
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDragTreeByIds(Long[] ids);
}
