package com.zkqy.system.mapper;


import com.zkqy.system.entity.MobilePageTableList;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 页面列表Mapper接口
 * 
 * @author zkqy
 * @date 2024-05-21
 */
@Mapper
public interface MobilePageTableListMapper 
{
    /**
     * 查询页面列表
     * 
     * @param id 页面列表主键
     * @return 页面列表
     */
    public MobilePageTableList selectMobilePageTableListById(Long id);

    /**
     * 通过pageId查询列表信息
     * @param id
     * @return
     */
    public MobilePageTableList selectMobilePageTableListByPageId(Long id);

    /**
     * 查询页面列表列表
     * 
     * @param mobilePageTableList 页面列表
     * @return 页面列表集合
     */
    public List<MobilePageTableList> selectMobilePageTableListList(MobilePageTableList mobilePageTableList);

    /**
     * 新增页面列表
     * 
     * @param mobilePageTableList 页面列表
     * @return 结果
     */
    public int insertMobilePageTableList(MobilePageTableList mobilePageTableList);

    /**
     * 修改页面列表
     * 
     * @param mobilePageTableList 页面列表
     * @return 结果
     */
    public int updateMobilePageTableList(MobilePageTableList mobilePageTableList);

    /**
     * 修改页面列表
     *
     * @param mobilePageTableList 页面列表
     * @return 结果
     */
    public int updateMobilePageTableListByPageId(MobilePageTableList mobilePageTableList);

    /**
     * 删除页面列表
     * 
     * @param id 页面列表主键
     * @return 结果
     */
    public int deleteMobilePageTableListById(Long id);


    /**
     * 删除页面列表
     *
     * @param id 页面列表主键
     * @return 结果
     */
    public int deleteMobilePageTableListByPageId(Long id);

    /**
     * 批量删除页面列表
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMobilePageTableListByIds(Long[] ids);
}
